<?php

namespace KupShop\MessengerBundle\Message\Envelope;

interface EnvelopeInterface
{
    public function getSerializedMessage(): string;

    public function getUnixTimeStamp(): ?int;

    public function setUnixTimeStamp(int $unixTimeStamp): void;

    public function getRetryCount(): int;

    public function getRetryIndex(): int;

    public function decreaseRetryCount(): void;

    public function getCallback(): string;

    public function getWeb(): string;

    public function getId(): string;
}
